API: how to find intersection between a surface and curves?

Hi,
I am trying to create a surface using Modeler.CreatePlanarSurface2() and the finding the intersection between this surface and a pair of
spline curves using Surface.IntersectCurve(). The problem I am having is to get the coordinates correct. The sketches containing the splines are on different z levels and are translated using ModelDoc2.SketchModifyTranslate(), this means that the coordinate systems of the two sketches are diffenent from each other and also different from the model coordinate system. What happens when I try to create a surface in model coordinates and then try to intersect this surface with the curves (SketchSegment.GetCurve())? What approach should I use to get this correct?
Best regards Pl Eilertsen
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.